Which devices can I use atVenu Register with?

atVenu Register requires iOS 9.0 or higher. 

The following devices are supported:

iPhone:

  • 5S
  • 6, 6 Plus
  • 6S, 6S Plus
  • 7, 7 Plus
  • 8, 8 Plus
  • X
  • SE

iPad:

  • Mini
  • Air
  • Air 2
  • Pro

 

Have more questions? Submit a request

Comments